UnsafeEnchantments

UnsafeEnchantments

UnsafeEnchantments was originally written by me and a friend for an old server. I stopped maintaining the plugin, so everything broke and the plugin became useless. I had then pulled it out of some files and decided to rewrite some of it a while ago! Knowing how useful this plugin is, I would like to share this with the community!

Features

UnsafeEnchantments is designed to stop hackers from enchanting items that are higher then level 5. Basically, if a player is holding item(s), that is enchanted higher than level 5, the plugin will remove all enchantments on those item(s). Clients, such as kinky, are able to type a command that can easily enchant their items. This plugin stops those users from using them. This applies for users in Creative and Survival mode. Just drop it into your server and restart!

Next Update

  • Add a configurable option.

Important

I do NOT recommend servers that are using custom enchantments to use this plugin!

Other:

  • Bugs: There's currently no known bugs!
  • Light weight
  • Commands: None
  • Permissions: None

Share this plugin! Thanks!


Comments

Posts Quoted:
Reply
Clear All Quotes

About This Project

  • Project ID
    67352
  • Created
    Oct 14, 2013
  • Last Released File
    Jun 30, 2014
  • Total Downloads
    2,117
  • License

Categories

Members

Recent Files